package com.bonus.canteen.core.auth.oauth.device.manage.dto;

import io.swagger.annotations.ApiModelProperty;

public class MgrDeviceUserLoginDTO {
   @ApiModelProperty("用户名")
   private String username;
   @ApiModelProperty("密码")
   private String password;
   private String scope;
   private String grant_type;
   @ApiModelProperty("用户id，刷脸必传")
   private Long custId;
   @ApiModelProperty("卡号，刷卡必传")
   private String serialNum;
   @ApiModelProperty("扫码值，扫码必传")
   private String authCode;

   public String getUsername() {
      return this.username;
   }

   public String getPassword() {
      return this.password;
   }

   public String getScope() {
      return this.scope;
   }

   public String getGrant_type() {
      return this.grant_type;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getAuthCode() {
      return this.authCode;
   }

   public void setUsername(final String username) {
      this.username = username;
   }

   public void setPassword(final String password) {
      this.password = password;
   }

   public void setScope(final String scope) {
      this.scope = scope;
   }

   public void setGrant_type(final String grant_type) {
      this.grant_type = grant_type;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setAuthCode(final String authCode) {
      this.authCode = authCode;
   }

   public String toString() {
      String var10000 = this.getUsername();
      return "MgrDeviceUserLoginDTO(username=" + var10000 + ", password=" + this.getPassword() + ", scope=" + this.getScope() + ", grant_type=" + this.getGrant_type() + ", custId=" + this.getCustId() + ", serialNum=" + this.getSerialNum() + ", authCode=" + this.getAuthCode() + ")";
   }
}
